# kprintf.c File Reference

`#include <lib/kprintf.h>`
`#include <sys/video.h>`
`#include <ubixos/kpanic.h>`
`#include <stdarg.h>`

Include dependency graph for kprintf.c:

Go to the source code of this file.

## Functions

int | kprintf (const char *fmt,...)
int | sprintf (char *buf, const char *fmt,...)

## Variables

int | ogprintOff = 0x1
int | printOff = 0x0

## Function Documentation

int kprintf | ( | const char * | fmt,
|  |  | ... |
| ) |  |  |

Definition at line 38 of file kprintf.c.

References kprint(), printOff, vaEnd, vaStart, and vsprintf().

Here is the call graph for this function:

int sprintf | ( | char * | buf,
|  | const char * | fmt,
|  |  | ... |
| ) |  |  |

Definition at line 51 of file kprintf.c.

References vaEnd, vaStart, and vsprintf().

Here is the call graph for this function:

## Variable Documentation

int ogprintOff = 0x1

Definition at line 36 of file kprintf.c.

int printOff = 0x0

Definition at line 35 of file kprintf.c.